package com.huiju.estateagents.eContract.service;

import com.huiju.estateagents.eContract.entity.TaContractUser;
import com.baomidou.mybatisplus.extension.service.IService;
import com.huiju.estateagents.entity.TaPerson;
import com.huiju.estateagents.entity.TaRaiseRecord;

/**
 * <p>
 * 电子合同注册用户表  服务类
 * </p>
 *
 * @author fxf
 * @since 2020-03-26
 */
public interface ITaContractUserService extends IService<TaContractUser> {

    /**
     * 小程序端首次签署合同的是要在法大大处创建账号
     * @param person
     * @param taRaiseRecord
     * @return
     */
    TaContractUser newFirstCustomerInfo(TaPerson person, TaRaiseRecord taRaiseRecord) throws Exception;

    /**
     * 去法大大处更新客户的状态
     * @param person
     * @return
     */
    TaContractUser getFirstCustomerInfo(TaPerson person) throws Exception;
}
